/********************************************************************
*                                                                   *
* FILE NAME:                                                        *
*                                                                   *
* PURPOSE:                                                          *
*                                                                   *
* FILE REFERENCES:                                                  *
*                                                                   *
* Name:                                                             *
*                                                                   *
* I/O:                                                              *
*                                                                   *
* Description:                                                      *
*                                                                   *
* EXTERNAL VARIABLES:                                               *
*                                                                   *
* Source:  <      >                                                 *
*                                                                   *
* Name:                                                             *
*                                                                   *
* Type:                                                             *
*                                                                   *
* I/O:                                                              *
*                                                                   *
* Description:                                                      *
*                                                                   *
*                                                                   *
* EXTERNAL REFERENCES:                                              *
*                                                                   *
* Name:                                                             *
*                                                                   *
* Description:                                                      *
*                                                                   *
*                                                                   *
* ABNORMAL TERMINATION CONDITIONS, ERROR AND WARNING MESSAGES:      *
*                                                                   *
* ASSUMPTIONS, CONSTRAINTS, RESTRICTIONS:                           *
*                                                                   *
* NOTES:                                                            *
*                                                                   *
* REQUIREMENTS/FUNCTIONAL SPECIFICATIONS REFERENCES:                *
*                                                                   *
* DEVELOPMENT HISTORY:                                              *
*                                                                   *
* Date:                                                             *
*                                                                   *
* Author:                                                           *
*                                                                   *
* Change Id:                                                        *
*                                                                   *
* Release:                                                          *
*                                                                   *
* Description of change:                                            *
*                                                                   *
********************************************************************/

HMODULE lib = NULL;

pSetAutoAlias FLS1SetAutoAlias;
pGetAutoAlias FLS1GetAutoAlias;
pSetRedirection FLS1SetRedirection;
pSetDebugLevel FLS1SetDebugLevel;
pGetDebugLevel FLS1GetDebugLevel;
pConfigurateBootstrapDCT3 FLS1ConfigurateBootstrapDCT3;
pGetFlashParameters FLS1GetFlashParameters;
pGetFlashID FLS1GetFlashID;
pGetFlashSize FLS1GetFlashSize;
pFindModel FLS1FindModel;
pGeneralReceiveConfigurationResponseDCT3 FLS1GeneralReceiveConfigurationResponseDCT3;
pReceiveConfigurationResponseDCT3 FLS1ReceiveConfigurationResponseDCT3;
pGeneralSendBootstrapDCT3 FLS1GeneralSendBootstrapDCT3;
pSendBootstrapDCT3 FLS1SendBootstrapDCT3;
pGeneralSendAlgoCodeDCT3 FLS1GeneralSendAlgoCodeDCT3;
pSendAlgoCodeDCT3 FLS1SendAlgoCodeDCT3;
pSendCodeDCT3 FLS1SendCodeDCT3;
pPreparePhone FLS1PreparePhone;
pGeneralProgrammingStatus FLS1GeneralProgrammingStatus;
pProgrammingStatus FLS1ProgrammingStatus;
pGeneralMCURestart FLS1GeneralMCURestart;
pMCURestart FLS1MCURestart;
pGeneralReadConfigurationDCT3 FLS1GeneralReadConfigurationDCT3;
pReadConfigurationDCT3 FLS1ReadConfigurationDCT3;
pRead FLS1Read;
pErase FLS1Erase;
pEraseAll FLS1EraseAll;
pWrite FLS1Write;
pReadLarge FLS1ReadLarge;
pEraseLarge FLS1EraseLarge;
pWriteLarge FLS1WriteLarge;
pInitialize FLS1Initialize;
pGetMCUVersion FLS1GetMCUVersion;
pCheckHiddenMCUBlock FLS1CheckHiddenMCUBlock;
pAnalyzeMCU FLS1AnalyzeMCU;
pAnalyzePPM FLS1AnalyzePPM;
pAnalyzeEEPROM FLS1AnalyzeEEPROM;
pCheckIMEI FLS1CheckIMEI;
pCheckSecurityCode FLS1CheckSecurityCode;
pClearSecurityCodeCounter FLS1ClearSecurityCodeCounter;
pAnalyzePMM FLS1AnalyzePMM;
pAnalyze FLS1Analyze;
pGetPhoneInfo FLS1GetPhoneInfo;
pSavePhoneInfo FLS1SavePhoneInfo;
pSaveSecurityPhoneInfo FLS1SaveSecurityPhoneInfo;
pCheckPMMChecksums FLS1CheckPMMChecksums;
pCheckChecksums FLS1CheckChecksums;
pSaveBlock FLS1SaveBlock;
pSaveBlocks FLS1SaveBlocks;
pSetEmulation FLS1SetEmulation;
pDetectSupportedAlgoCodes FLS1DetectSupportedAlgoCodes;
pCreateFlashIDList FLS1CreateFlashIDList;
pSearchAlgoCode FLS1SearchAlgoCode;
pTerminate FLS1Terminate;
pSetForcedFlashSize FLS1SetForcedFlashSize;
pSetDirectory FLS1SetDirectory;
pSetSkipErase FLS1SetSkipErase;
pGetDefaultTimes FLS1GetDefaultTimes;
pSetDefaultTimes FLS1SetDefaultTimes;
pGeneralSetIdleState FLS1GeneralSetIdleState;
pSetIdleState FLS1SetIdleState;
pGeneralGetSDA FLS1GeneralGetSDA;
pGetSDA FLS1GetSDA;
pGeneralWaitForEdge FLS1GeneralWaitForEdge;
pWaitForEdge FLS1WaitForEdge;
pGeneralReceiveFromPhone FLS1GeneralReceiveFromPhone;
pReceiveFromPhone FLS1ReceiveFromPhone;
pGeneralSendToPhone FLS1GeneralSendToPhone;
pSendToPhone FLS1SendToPhone;
pGeneralInitialiseBootstrapDCT3 FLS1GeneralInitialiseBootstrapDCT3;
pInitialiseBootstrapDCT3 FLS1InitialiseBootstrapDCT3;
pGeneralInitialiseBootstrapDCT4 FLS1GeneralInitialiseBootstrapDCT4;
pInitialiseBootstrapDCT4 FLS1InitialiseBootstrapDCT4;
pMBUSSecurityCommand FLS1MBUSSecurityCommand;
pSetLogCallout FLS1SetLogCallout;
pGetDeviceState FLS1GetDeviceState;
pGetErrno FLS1GetErrno;
pGetStatus FLS1GetStatus;
//pSetRdtscDelay FLS1SetRdtscDelay;
//pSetLoopDelay FLS1SetLoopDelay;
//pSetBaseDelay FLS1SetBaseDelay;
pSetFlashIDList FLS1SetFlashIDList;
pSetAlgoCodeExtension FLS1SetAlgoCodeExtension;
pSetAliasIDList FLS1SetAliasIDList;
pSetModelsList FLS1SetModelsList;
pReadFullFlash FLS1ReadFullFlash;
pSetAlgoCodeList FLS1SetAlgoCodeList;
pDummyWrite FLS1DummyWrite;
pSetGaugeUpdate FLS1SetGaugeUpdate;
pSetGaugeInit FLS1SetGaugeInit;
pSetGaugeDone FLS1SetGaugeDone;
pSetSafeFlashing FLS1SetSafeFlashing;
pResetSettings FLS1ResetSettings;
pResetPhone FLS1ResetPhone;
pSetSimlock FLS1SetSimlock;
pConvertToKNK FLS1ConvertToKNK;
pSetContrast FLS1SetContrast;
pSetFAID FLS1SetFAID;
pConvertWTFilesToFLSKNK FLS1ConvertWTFilesToFLSKNK;
pResetSPlock FLS1ResetSPlock;
pSetIMEI FLS1SetIMEI;

/********************************************************
*                                                       *
* FUNCTION NAME:                                        *
*                                                       *
* ARGUMENTS:                                            *
*                                                       *
* ARGUMENT NAME:                                        *
*                                                       *
* TYPE:                                                 *
*                                                       *
* I/O:                                                  *
*                                                       *
* DESCRIPTION                                           *
*                                                       *
*                                                       *
* RETURNS:                                              *
*                                                       *
*********************************************************/

static BOOL GetFunc(char *dllname,char *funcname, FARPROC *funcptr)
{
  *funcptr = NULL;
  
  if (!lib)
  {
     lib = LoadLibrary(dllname);
     if (!lib) {
	   printf("Error loading library\n");
       return FALSE;
	 }
  }
  printf("%s\n",funcname);

  *funcptr = GetProcAddress(lib, funcname);

  return *funcptr!=NULL;
}


/********************************************************
*                                                       *
* FUNCTION NAME:                                        *
*                                                       *
* ARGUMENTS:                                            *
*                                                       *
* ARGUMENT NAME:                                        *
*                                                       *
* TYPE:                                                 *
*                                                       *
* I/O:                                                  *
*                                                       *
* DESCRIPTION                                           *
*                                                       *
*                                                       *
* RETURNS:                                              *
*                                                       *
*********************************************************/

static BOOL InitializeLibrary(char *dllname)
{
  if (!GetFunc(dllname,"FLS1_SetAutoAlias",(FARPROC *)&FLS1SetAutoAlias))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetAutoAlias",(FARPROC *)&FLS1GetAutoAlias))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetRedirection",(FARPROC *)&FLS1SetRedirection))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetDebugLevel",(FARPROC *)&FLS1SetDebugLevel))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetDebugLevel",(FARPROC *)&FLS1GetDebugLevel))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ConfigurateBootstrapDCT3",(FARPROC *)&FLS1ConfigurateBootstrapDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetFlashParameters",(FARPROC *)&FLS1GetFlashParameters))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetFlashID",(FARPROC *)&FLS1GetFlashID))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetFlashSize",(FARPROC *)&FLS1GetFlashSize))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_FindModel",(FARPROC *)&FLS1FindModel))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralReceiveConfigurationResponseDCT3",(FARPROC *)&FLS1GeneralReceiveConfigurationResponseDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ReceiveConfigurationResponseDCT3",(FARPROC *)&FLS1ReceiveConfigurationResponseDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralSendBootstrapDCT3",(FARPROC *)&FLS1GeneralSendBootstrapDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SendBootstrapDCT3",(FARPROC *)&FLS1SendBootstrapDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralSendAlgoCodeDCT3",(FARPROC *)&FLS1GeneralSendAlgoCodeDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SendAlgoCodeDCT3",(FARPROC *)&FLS1SendAlgoCodeDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SendCodeDCT3",(FARPROC *)&FLS1SendCodeDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_PreparePhone",(FARPROC *)&FLS1PreparePhone))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralProgrammingStatus",(FARPROC *)&FLS1GeneralProgrammingStatus))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ProgrammingStatus",(FARPROC *)&FLS1ProgrammingStatus))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralMCURestart",(FARPROC *)&FLS1GeneralMCURestart))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_MCURestart",(FARPROC *)&FLS1MCURestart))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralReadConfigurationDCT3",(FARPROC *)&FLS1GeneralReadConfigurationDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ReadConfigurationDCT3",(FARPROC *)&FLS1ReadConfigurationDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_Read",(FARPROC *)&FLS1Read))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_Erase",(FARPROC *)&FLS1Erase))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_EraseAll",(FARPROC *)&FLS1EraseAll))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_Write",(FARPROC *)&FLS1Write))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ReadLarge",(FARPROC *)&FLS1ReadLarge))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_EraseLarge",(FARPROC *)&FLS1EraseLarge))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_WriteLarge",(FARPROC *)&FLS1WriteLarge))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_Initialize",(FARPROC *)&FLS1Initialize))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetMCUVersion",(FARPROC *)&FLS1GetMCUVersion))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_CheckHiddenMCUBlock",(FARPROC *)&FLS1CheckHiddenMCUBlock))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_AnalyzeMCU",(FARPROC *)&FLS1AnalyzeMCU))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_AnalyzePPM",(FARPROC *)&FLS1AnalyzePPM))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_AnalyzeEEPROM",(FARPROC *)&FLS1AnalyzeEEPROM))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_CheckIMEI",(FARPROC *)&FLS1CheckIMEI))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_CheckSecurityCode",(FARPROC *)&FLS1CheckSecurityCode))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ClearSecurityCodeCounter",(FARPROC *)&FLS1ClearSecurityCodeCounter))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_AnalyzePMM",(FARPROC *)&FLS1AnalyzePMM))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_Analyze",(FARPROC *)&FLS1Analyze))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetPhoneInfo",(FARPROC *)&FLS1GetPhoneInfo))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SavePhoneInfo",(FARPROC *)&FLS1SavePhoneInfo))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SaveSecurityPhoneInfo",(FARPROC *)&FLS1SaveSecurityPhoneInfo))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_CheckPMMChecksums",(FARPROC *)&FLS1CheckPMMChecksums))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_CheckChecksums",(FARPROC *)&FLS1CheckChecksums))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SaveBlock",(FARPROC *)&FLS1SaveBlock))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SaveBlocks",(FARPROC *)&FLS1SaveBlocks))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetEmulation",(FARPROC *)&FLS1SetEmulation))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_DetectSupportedAlgoCodes",(FARPROC *)&FLS1DetectSupportedAlgoCodes))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_CreateFlashIDList",(FARPROC *)&FLS1CreateFlashIDList))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SearchAlgoCode",(FARPROC *)&FLS1SearchAlgoCode))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_Terminate",(FARPROC *)&FLS1Terminate))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetForcedFlashSize",(FARPROC *)&FLS1SetForcedFlashSize))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetDirectory",(FARPROC *)&FLS1SetDirectory))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetSkipErase",(FARPROC *)&FLS1SetSkipErase))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetDefaultTimes",(FARPROC *)&FLS1GetDefaultTimes))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetDefaultTimes",(FARPROC *)&FLS1SetDefaultTimes))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralSetIdleState",(FARPROC *)&FLS1SetIdleState))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetIdleState",(FARPROC *)&FLS1SetIdleState))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralGetSDA",(FARPROC *)&FLS1GeneralGetSDA))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetSDA",(FARPROC *)&FLS1GetSDA))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralWaitForEdge",(FARPROC *)&FLS1GeneralWaitForEdge))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_WaitForEdge",(FARPROC *)&FLS1WaitForEdge))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralReceiveFromPhone",(FARPROC *)&FLS1GeneralReceiveFromPhone))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ReceiveFromPhone",(FARPROC *)&FLS1ReceiveFromPhone))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralSendToPhone",(FARPROC *)&FLS1GeneralSendToPhone))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SendToPhone",(FARPROC *)&FLS1SendToPhone))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GeneralInitialiseBootstrapDCT3",(FARPROC *)&FLS1GeneralInitialiseBootstrapDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_InitialiseBootstrapDCT3",(FARPROC *)&FLS1InitialiseBootstrapDCT3))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_InitialiseBootstrapDCT4",(FARPROC *)&FLS1GeneralInitialiseBootstrapDCT4))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_InitialiseBootstrapDCT4",(FARPROC *)&FLS1InitialiseBootstrapDCT4))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_MBUSSecurityCommand",(FARPROC *)&FLS1MBUSSecurityCommand))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetLogCallout",(FARPROC *)&FLS1SetLogCallout))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetDeviceState",(FARPROC *)&FLS1GetDeviceState))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetErrno",(FARPROC *)&FLS1GetErrno))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_GetStatus",(FARPROC *)&FLS1GetStatus))
    return FALSE;

  //if (!GetFunc(dllname,"FLS1_SetRdtscDelay",(FARPROC *)&FLS1SetRdtscDelay))
  //  return FALSE;

  //if (!GetFunc(dllname,"FLS1_SetLoopDelay",(FARPROC *)&FLS1SetLoopDelay))
  //  return FALSE;

  //if (!GetFunc(dllname,"FLS1_SetBaseDelay",(FARPROC *)&FLS1SetBaseDelay))
  //  return FALSE;

  if (!GetFunc(dllname,"FLS1_SetFlashIDList",(FARPROC *)&FLS1SetFlashIDList))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetAlgoCodeExtension",(FARPROC *)&FLS1SetAlgoCodeExtension))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetAliasIDList",(FARPROC *)&FLS1SetAliasIDList))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetModelsList",(FARPROC *)&FLS1SetModelsList))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ReadFullFlash",(FARPROC *)&FLS1ReadFullFlash))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetAlgoCodeList",(FARPROC *)&FLS1SetAlgoCodeList))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_DummyWrite",(FARPROC *)&FLS1DummyWrite))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetGaugeUpdate",(FARPROC *)&FLS1SetGaugeUpdate))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetGaugeInit",(FARPROC *)&FLS1SetGaugeInit))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetGaugeDone",(FARPROC *)&FLS1SetGaugeDone))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetSafeFlashing",(FARPROC *)&FLS1SetSafeFlashing))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ResetSettings",(FARPROC *)&FLS1ResetSettings))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ResetPhone",(FARPROC *)&FLS1ResetPhone))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetSimlock",(FARPROC *)&FLS1SetSimlock))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ConvertToKNK",(FARPROC *)&FLS1ConvertToKNK))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetContrast",(FARPROC *)&FLS1SetContrast))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetFAID",(FARPROC *)&FLS1SetFAID))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ConvertWTFilesToFLSKNK",(FARPROC *)&FLS1ConvertWTFilesToFLSKNK))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_ResetSPlock",(FARPROC *)&FLS1ResetSPlock))
    return FALSE;

  if (!GetFunc(dllname,"FLS1_SetIMEI",(FARPROC *)&FLS1SetIMEI))
    return FALSE;

  return TRUE;
}


/********************************************************
*                                                       *
* FUNCTION NAME:                                        *
*                                                       *
* ARGUMENTS:                                            *
*                                                       *
* ARGUMENT NAME:                                        *
*                                                       *
* TYPE:                                                 *
*                                                       *
* I/O:                                                  *
*                                                       *
* DESCRIPTION                                           *
*                                                       *
*                                                       *
* RETURNS:                                              *
*                                                       *
*********************************************************/

void cmd_mylog(char *logstr,BOOL Biserror,BOOL Bshowaserror)
{
  printf("%s\n",logstr);
  if (Biserror && Bshowaserror)
    printf("ERRNO : %08X\n",FLS1GetErrno());
}


/********************************************************
*                                                       *
* FUNCTION NAME:                                        *
*                                                       *
* ARGUMENTS:                                            *
*                                                       *
* ARGUMENT NAME:                                        *
*                                                       *
* TYPE:                                                 *
*                                                       *
* I/O:                                                  *
*                                                       *
* DESCRIPTION                                           *
*                                                       *
*                                                       *
* RETURNS:                                              *
*                                                       *
*********************************************************/

static void Terminate(void)
{
  FLS1Terminate();
  FreeLibrary(lib);
  lib = NULL;
}

