
/********************************************************************
* NAME:                                                             *
*                                                                   *
* PURPOSE:                                                          *
*                                                                   *
* GLOBAL VARIABLES:                                                 *
*                                                                   *
* Variable:                                                         *
*                                                                   *
* Type:                                                             *
*                                                                   *
* Description:                                                      *
*                                                                   *
*                                                                   *
* DEVELOPMENT HISTORY:                                              *
*                                                                   *
* Date:                                                             *
*                                                                   *
* Author:                                                           *
*                                                                   *
* Change Id:                                                        *
*                                                                   *
* Release:                                                          *
*                                                                   *
* Description of change:                                            *
*                                                                   *
*********************************************************************/

#ifndef __mbus_pub_h
#define __mbus_pub_h

BOOL MBUS_OpenCOMPort(UINT8 U8comport, UINT32 U32comdelay);
BOOL MBUS_SaveSecurityPhoneInfo(char *logfile);
BOOL MBUS_GetVersion(UINT8 * pAU8buffer, UINT32 U32bufferlen);
void MBUS_CloseCOMPort(void);
BOOL MBUS_SecurityCommand(const tMBUSCMD * mbuscmd, UINT8 * pU8reply,
			  UINT32 U32replybuffersize,
			  UINT32 * pU32replysize);
BOOL MBUS_ResetSettings(eMBUS_RESET_TYPE reset_type);
BOOL MBUS_ResetPhone(void);
BOOL MBUS_SetSimlock(UINT8 U8lockidx, char *val, BOOL Bopen);
BOOL MBUS_SetContrast(UINT8 U8val);
BOOL MBUS_SetFAID(UINT32 U32fchk);
BOOL MBUS_ResetSPlock(void);
//BOOL MBUS_ResetIMEI(UINT8 *newIMEI);
BOOL MBUS_SetIMEI(UINT8 * newIMEI);

#endif
